Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Drew Adams <[email-masked]>
Date: Thu, 23 Mar 2017 06:47:03 -0700 (PDT)

> Thinking about this twice - frameset should _not_ try to restore frame
> positions by default.  If people think they need it, they should modify
> `frameset-filter-alist' appropriately, but by default this option should
> be off.  Introducing a gravity parameter might help but ISTR that most
> window managers don't handle gravity correctly ...

I have not been following this thread, so apologies if what
I say here does not seem to help.

I don't see (here) you give a reason (beyond the statement that
you have thought about it twice) why a desktop file should not
restore frame positions by default.  (Maybe you gave a reason
prior to this post?)

As one user of multiple frames (and multiple desktops) I would
(naively perhaps) expect a desktop state to restore frames as
they were when they were saved, modulo anything that might be
strictly impossible or unfeasible to do.

If frame positions are not restored in general (again, modulo
any necessary exceptions that might exist) that would suggest
that there is little point in saving and restoring frames.

Size and position are among the most important attributes of a
frame, and if a user bothers to use multiple frames then it is
almost certainly the case that their sizes and positions are
important.